Total trading revenue from Hyperliquid perps and spot markets in USD.
cURL
curl --request GET \ --url https://api.blockworks.com/v1/metrics/trading-revenue-total-usd \ --header 'x-api-key: <api-key>'
{ "projectName": [ { "date": "2025-08-10", "value": 123456.789 }, { "date": "2025-08-11", "value": 234567.89 }, { "date": "2025-08-12", "value": 345678.901 } ] }
curl -H "x-api-key: YOUR_API_KEY" \ "https://api.blockworks.com/v1/metrics/trading-revenue-total-usd?project=hyperliquid"
{ "hyperliquid": [ { "date": "2026-03-22", "value": 1351645.0300366546 }, { "date": "2026-03-21", "value": 491531.19877325534 }, { "date": "2026-03-20", "value": 1517150.3059576177 }, { "date": "2026-03-19", "value": 2071147.7815331554 }, { "date": "2026-03-18", "value": 2043682.5727177048 } ] }
Project slug (comma-separated for multiple).
hyperliquid
"hyperliquid"
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
OK